aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:43:35 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:46:38 +0100
commit772d8b3642fbce353d45f1e44982ea7a3b189801 (patch)
tree22846357155d159c84154c1f08b4e1439e421851
parent1ce86fca5813fd1036cc9d50ac2fcbe5c4c779f2 (diff)
downloadaports-772d8b3642fbce353d45f1e44982ea7a3b189801.tar.bz2
aports-772d8b3642fbce353d45f1e44982ea7a3b189801.tar.xz
testing/ladspa: new aport
-rw-r--r--testing/ladspa/APKBUILD45
-rw-r--r--testing/ladspa/fallback-ladspa-path.patch27
-rw-r--r--testing/ladspa/fix-memleak-in-plugin-scanning.patch11
3 files changed, 83 insertions, 0 deletions
diff --git a/testing/ladspa/APKBUILD b/testing/ladspa/APKBUILD
new file mode 100644
index 000000000..6d2ba1c76
--- /dev/null
+++ b/testing/ladspa/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=ladspa
+pkgver=1.13
+pkgrel=0
+pkgdesc="Linux Audio Developer's Simple Plug-in API, examples and tools"
+url="http://www.ladspa.org/"
+arch="all"
+license="LGPL2"
+depends=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev"
+source="https://github.com/OpenMandrivaAssociation/ladspa/raw/master/ladspa_sdk_1.13.tgz
+ fallback-ladspa-path.patch
+ fix-memleak-in-plugin-scanning.patch
+ "
+builddir="$srcdir/ladspa_sdk/src"
+
+prepare() {
+ default_prepare || return 1
+ sed -i 's/mkdirhier/mkdir -p/' makefile || return 1
+}
+
+build() {
+ cd "$builddir"
+ make targets || return 1
+}
+
+package() {
+ cd "$builddir"
+ make INSTALL_PLUGINS_DIR="$pkgdir/usr/lib/ladspa/" \
+ INSTALL_INCLUDE_DIR="$pkgdir/usr/include/" \
+ INSTALL_BINARY_DIR="$pkgdir/usr/bin/" install || return 1
+}
+
+md5sums="671be3e1021d0722cadc7fb27054628e ladspa_sdk_1.13.tgz
+d3a0f23f66cd685fe4af419c4f587273 fallback-ladspa-path.patch
+525a958f339d7526562785484b577d00 fix-memleak-in-plugin-scanning.patch"
+sha256sums="b5ed3f4f253a0f6c1b7a1f4b8cf62376ca9f51d999650dd822650c43852d306b ladspa_sdk_1.13.tgz
+4d066b10a10801bc87468ddc4fb1672b2fa9866bd5f3155c71c884296c6345d0 fallback-ladspa-path.patch
+d12f061d2701f0d12f97f750bb6df7c3a9915db5e35a00bd7d1a6342218bcb39 fix-memleak-in-plugin-scanning.patch"
+sha512sums="a1dab807fda58e08869d3f519be5fa91c394690eb13006fbe7f20b332548e4676b32b01273f5695bf36c8da72190c07618662a76d50f991b3f05068ac2b346ef ladspa_sdk_1.13.tgz
+00891ac5d1e3ca17cf7d99e7d894b50f9a7df8eea80cd791593cf637bf9f4f7e658d0124c69aa32bb90a14150737a38cb48552c7991f3f2b6674b3634440504a fallback-ladspa-path.patch
+1a96b24a47c2c82f7c2f66e2ee711f0ecbed9b03260562b72ced1bd4c8f0e518d15fc7c15951b95b1999e3dae1723b855fd3431a9795279f8a88ad68900e48e7 fix-memleak-in-plugin-scanning.patch"
diff --git a/testing/ladspa/fallback-ladspa-path.patch b/testing/ladspa/fallback-ladspa-path.patch
new file mode 100644
index 000000000..a0a3c43a3
--- /dev/null
+++ b/testing/ladspa/fallback-ladspa-path.patch
@@ -0,0 +1,27 @@
+diff -upr ladspa_sdk.orig/src/load.c ladspa_sdk/src/load.c
+--- ./load.c 2012-09-26 07:37:24.000000000 +0300
++++ ./load.c 2012-09-26 07:38:58.000000000 +0300
+@@ -54,6 +54,8 @@ dlopenLADSPA(const char * pcFilename, in
+ to search. */
+
+ pcLADSPAPath = getenv("LADSPA_PATH");
++ if (! pcLADSPAPath)
++ pcLADSPAPath = "/usr/lib/ladspa";
+
+ if (pcLADSPAPath) {
+
+diff -upr ladspa_sdk.orig/src/search.c ladspa_sdk/src/search.c
+--- ./search.c 2012-09-26 07:37:24.000000000 +0300
++++ ./search.c 2012-09-26 07:38:46.000000000 +0300
+@@ -99,10 +99,7 @@ LADSPAPluginSearch(LADSPAPluginSearchCal
+
+ pcLADSPAPath = getenv("LADSPA_PATH");
+ if (!pcLADSPAPath) {
+- fprintf(stderr,
+- "Warning: You do not have a LADSPA_PATH "
+- "environment variable set.\n");
+- return;
++ pcLADSPAPath = "/usr/lib/ladspa";
+ }
+
+ pcStart = pcLADSPAPath;
diff --git a/testing/ladspa/fix-memleak-in-plugin-scanning.patch b/testing/ladspa/fix-memleak-in-plugin-scanning.patch
new file mode 100644
index 000000000..bc8ef7c4b
--- /dev/null
+++ b/testing/ladspa/fix-memleak-in-plugin-scanning.patch
@@ -0,0 +1,11 @@
+--- ./search.c.orig 2008-11-07 00:38:18.000000000 +0100
++++ ./search.c 2008-11-07 00:50:51.000000000 +0100
+@@ -83,6 +83,8 @@
+ dlclose(pcFilename);
+ free(pcFilename);
+ }
++ } else {
++ free(pcFilename);
+ }
+ }
+ }